Bug 1315736 - Use after free in vfs_glusterfs AIO code.
Use after free in vfs_glusterfs AIO code.
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba (Show other bugs)
3.1
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Jose A. Rivera
surabhi
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-08 08:49 EST by Jose A. Rivera
Modified: 2016-03-15 08:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: samba-4.2.4-15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-15 08:31:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 11774 None None None 2016-03-08 08:49 EST

  None (edit)
Description Jose A. Rivera 2016-03-08 08:49:53 EST
There is currently a use after free error in the vfs_glusterfs AIO code, that can cause a crash, under high load.
Comment 2 surabhi 2016-03-14 01:48:59 EDT
The automated tests are executed on the build samba-4.2.4-15.Multi-threaded I/O from single client and multiple client is also executed. 
100 connections from smbclient ha sbeen opened to read a single file but no smbd crash is seen.
Marking the BZ to verified.
Comment 4 errata-xmlrpc 2016-03-15 08:31:46 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0447.html

Note You need to log in before you can comment on or make changes to this bug.